/// <reference types="webpack" />
import * as webpack from 'webpack';
export interface defaultOptions {
    tsconfigPath?: string;
    sourceMaps?: boolean;
    closureCompilerOptions?: any;
    compressionOptions?: any;
    cssOptimizationOptions?: {
        extractTextOptions?: any;
        optimizeCSSAssetsOptions?: any;
        purifyCSSOptions?: any;
    } | false;
    uglifyJsOptions?: any;
    environmentVariables?: any;
    chunkingOptions?: {
        commonsChunkOptions?: any;
        aggressiveSplittingOptions?: any;
    } | false;
    entry?: any;
}
export interface mandatoryOptions {
    outputPath: string;
    srcPath: string;
    htmlIndexPath: string;
}
export declare type webpackOptions = defaultOptions & mandatoryOptions;
declare function configFactory(options: webpackOptions): webpack.Configuration;
export default configFactory;
